パッケージsteamcmdが見つかりません


13

Ubuntu 16.04 LTSサーバーにsteamcmdをインストールしようとしていますが、sudo apt-get install steamcmdを実行するとエラーが発生します

Reading package lists... Done
Building dependency tree
Reading state information... Done
E: Unable to locate package steamcmd

すでに更新およびアップグレードしています。この問題を解決するにはどうすればよいですか?

13

Ok, I found the answer myself.

First I needed to add multiverse to my /etc/apt/sources.list:

deb http://archive.ubuntu.com/ubuntu xenial main universe multiverse
deb http://archive.ubuntu.com/ubuntu xenial-updates main universe multiverse
deb http://archive.ubuntu.com/ubuntu xenial-security main universe multiverse

afterwards I added the i386 architecture:

sudo dpkg --add-architecture i386

now after an apt-get update I am able to install it.

sudo apt-get install steamcmd

8

Run these commands:

sudo add-apt-repository multiverse 
sudo dpkg --add-architecture i386
sudo apt-get update
sudo apt-get install lib32gcc1 steamcmd

Hope this will help. Or you can check source here:


1

Dealing with this for awhile. Used GUI to download the Steam Client. Once I did that it installed a bunch of missing dependencies. Once I tried sudo apt-get install steamcmd again it worked flawlessly.